PTHREAD_SUSPEND_NP(3)

NAME
pthread_suspend_np - suspend a thread

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
int
pthread_suspend_np(pthread_t tid);

DESCRIPTION
The pthread_suspend_np() function, called on an active thread, causes it to suspend.

RETURN VALUES
If successful, pthread_suspend_np() function returns 0. Otherwise, an error number is returned to indicate the error.

ERRORS
The pthread_suspend_np() function will fail if:

[EDEADLK]
    An attempt was made to suspend the current thread.

[EINVAL]
    The value specified by the tid argument is invalid.

[ESRC]
    No thread could be found corresponding to the thread ID specified by the tid argument.

SEE ALSO
pthread_resume_all_np(3), pthread_resume_np(3), pthread_suspend_all_np(3)

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.